apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: drupal-autoscaler-{{ template "drupal-8.namespaceAndProject" . }}
spec:
  scaleTargetRef:
    apiVersion: v1
    kind: DeploymentConfig
    name: drupal-{{ template "drupal-8.namespaceAndProject" . }}
  minReplicas: {{ .Values.autoscaler.drupal.minReplicas }}
  maxReplicas: {{ .Values.autoscaler.drupal.maxReplicas }}
  metrics:
  - type: Resource
    resource:
      name: cpu
      targetAverageUtilization: {{ .Values.autoscaler.drupal.targetAverageUtilization }}

